<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="condicion">
        <h2 class="jh-entity-heading" data-cy="condicionDetailsHeading">
          <span v-text="$t('gatewayApp.pacientesCondicion.detail.title')">Condicion</span> {{ condicion.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.pacientesCondicion.condicion')">Condicion</span>
          </dt>
          <dd>
            <span>{{ condicion.condicion }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesCondicion.descripcion')">Descripcion</span>
          </dt>
          <dd>
            <span>{{ condicion.descripcion }}</span>
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="condicion.id"
          :to="{ name: 'CondicionEdit', params: { condicionId: condicion.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./condicion-details.component.ts"></script>
